Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # planar_pixel_reference Struct Template Reference [planar_pixel_reference, planar_pixel_reference, Models] `#include <planar_pixel_reference.hpp>` List of all members. ## Detailed Description ### template<typename ChannelReference, typename ColorSpace> struct boost::gil::planar_pixel_reference< ChannelReference, ColorSpace > A reference proxy to a planar pixel. Models: HomogeneousColorBaseConcept, HomogeneousPixelConcept. A reference to a planar pixel is a proxy class containing references to each of the corresponding channels.
## Public Types
typedef detail::homogeneous_color_base < ChannelReference, layout < ColorSpace >, mpl::size < ColorSpace >::value > | parent_t
typedef pixel< channel_t, layout< ColorSpace > > | value_type
typedef planar_pixel_reference | reference
typedef planar_pixel_reference < channel_const_reference, ColorSpace > | const_reference
## Public Member Functions
| BOOST_STATIC_CONSTANT (bool, is_mutable=channel_traits< ChannelReference >::is_mutable)
| planar_pixel_reference (ChannelReference v0, ChannelReference v1)
| planar_pixel_reference (ChannelReference v0, ChannelReference v1, ChannelReference v2)
| planar_pixel_reference (ChannelReference v0, ChannelReference v1, ChannelReference v2, ChannelReference v3)
| planar_pixel_reference (ChannelReference v0, ChannelReference v1, ChannelReference v2, ChannelReference v3, ChannelReference v4)
| planar_pixel_reference (ChannelReference v0, ChannelReference v1, ChannelReference v2, ChannelReference v3, ChannelReference v4, ChannelReference v5)
template<typename P>
| planar_pixel_reference (const P &p)
template<typename ChannelV, typename Mapping>
| planar_pixel_reference (pixel< ChannelV, layout< ColorSpace, Mapping > > &p)
template<typename ChannelPtr>
| planar_pixel_reference (const planar_pixel_iterator< ChannelPtr, ColorSpace > &p, std::ptrdiff_t diff)
const planar_pixel_reference & | operator= (const planar_pixel_reference &p) const
template<typename P>
const planar_pixel_reference & | operator= (const P &p) const
template<typename P>
bool | operator== (const P &p) const
template<typename P>
bool | operator!= (const P &p) const
ChannelReference | operator[] (std::size_t i) const
const planar_pixel_reference * | operator-> () const
The documentation for this struct was generated from the following file: planar_pixel_reference.hpp